Package ru.bitel.bgbilling.modules.bill.common.bean

# Class Position

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.bill.common.bean.Position

All Implemented Interfaces:
  `Serializable`, `Idable`, `ListItem`

public class Position extends Id implements ListItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_ADD_WHEN_LESS_ZERO`
  `static final String`
  `KEY_DYNCLASS`
  `static final String`
  `KEY_EXTRACTOR`
  `static final String`
  `KEY_IN_SUM`
  `static final String`
  `KEY_NAME`
  `static final String`
  `KEY_QTY_NUMS_AFTER_COMMA`
  `static final String`
  `KEY_QTY_NUMS_ROUNDING_MODE`
  `static final String`
  `KEY_QUANTITY`
  `static final String`
  `KEY_SUM`
  `static final String`
  `KEY_TITLE`
  `static final String`
  `KEY_UNIT`
  `static final String`
  `KEY_UNIT_CODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Position()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fromData()`
  `String`
  `getData()`
  `String`
  `getDynclass()`
  `String`
  `getExtractor()`
  `String`
  `getName()`
  `Map<String,String>`
  `getParams()`
  `String`
  `getQtyNumsAfterComma()`
  `String`
  `getQtyNumsRoundingMode()`
  `String`
  `getQuantity()`
  `String`
  `getSumm()`
  `String`
  `getTitle()`
  `String`
  `getUnit()`
  `String`
  `getUnitCode()`
  `boolean`
  `isAddWhenLessZero()`
  `boolean`
  `isInSum()`
  `Position`
  `setAddWhenLessZero(boolean addWhenLessZero)`
  `Position`
  `setData(String data)`
  `Position`
  `setDynclass(String dynclass)`
  `Position`
  `setExtractor(String extractor)`
  `Position`
  `setId(int id)`
  Устанавливает id объекта
  `Position`
  `setInSum(boolean inSum)`
  `Position`
  `setName(String name)`
  `Position`
  `setParams(Map<String,String> params)`
  `Position`
  `setQtyNumsAfterComma(String qtyNumsAfterComma)`
  `Position`
  `setQtyNumsRoundingMode(String qtyNumsRoundingMode)`
  `Position`
  `setQuantity(String quantity)`
  `Position`
  `setSumm(String sum)`
  `Position`
  `setTitle(String title)`
  `Position`
  `setUnit(String unit)`
  `Position`
  `setUnitCode(String unitCode)`
  `void`
  `toData()`
  `DocumentPositionSpec`
  `toDocumentPositionSpec()`
  `String`
  `toString()`
  `void`
  `toXmlElement(Element pos)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### KEY_ADD_WHEN_LESS_ZERO

    public static final String KEY_ADD_WHEN_LESS_ZERO
    See Also:
      - Constant Field Values

  - ### KEY_DYNCLASS

    public static final String KEY_DYNCLASS
    See Also:
      - Constant Field Values

  - ### KEY_EXTRACTOR

    public static final String KEY_EXTRACTOR
    See Also:
      - Constant Field Values

  - ### KEY_IN_SUM

    public static final String KEY_IN_SUM
    See Also:
      - Constant Field Values

  - ### KEY_NAME

    public static final String KEY_NAME
    See Also:
      - Constant Field Values

  - ### KEY_QTY_NUMS_AFTER_COMMA

    public static final String KEY_QTY_NUMS_AFTER_COMMA
    See Also:
      - Constant Field Values

  - ### KEY_QTY_NUMS_ROUNDING_MODE

    public static final String KEY_QTY_NUMS_ROUNDING_MODE
    See Also:
      - Constant Field Values

  - ### KEY_QUANTITY

    public static final String KEY_QUANTITY
    See Also:
      - Constant Field Values

  - ### KEY_SUM

    public static final String KEY_SUM
    See Also:
      - Constant Field Values

  - ### KEY_TITLE

    public static final String KEY_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_UNIT

    public static final String KEY_UNIT
    See Also:
      - Constant Field Values

  - ### KEY_UNIT_CODE

    public static final String KEY_UNIT_CODE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Position

    public Position()

- ## Method Details

  - ### fromData

    public void fromData()

  - ### getData

    public String getData()

  - ### getDynclass

    public String getDynclass()

  - ### getExtractor

    public String getExtractor()

  - ### getName

    public String getName()

  - ### getParams

    public Map<String,String> getParams()

  - ### getQtyNumsAfterComma

    public String getQtyNumsAfterComma()

  - ### getQtyNumsRoundingMode

    public String getQtyNumsRoundingMode()

  - ### getQuantity

    public String getQuantity()

  - ### getSumm

    public String getSumm()

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### getUnit

    public String getUnit()

  - ### getUnitCode

    public String getUnitCode()

  - ### isAddWhenLessZero

    public boolean isAddWhenLessZero()

  - ### isInSum

    public boolean isInSum()

  - ### setAddWhenLessZero

    public Position setAddWhenLessZero(boolean addWhenLessZero)

  - ### setData

    public Position setData(String data)

  - ### setDynclass

    public Position setDynclass(String dynclass)

  - ### setExtractor

    public Position setExtractor(String extractor)

  - ### setId

    public Position setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setInSum

    public Position setInSum(boolean inSum)

  - ### setName

    public Position setName(String name)

  - ### setParams

    public Position setParams(Map<String,String> params)

  - ### setQtyNumsAfterComma

    public Position setQtyNumsAfterComma(String qtyNumsAfterComma)

  - ### setQtyNumsRoundingMode

    public Position setQtyNumsRoundingMode(String qtyNumsRoundingMode)

  - ### setQuantity

    public Position setQuantity(String quantity)

  - ### setSumm

    public Position setSumm(String sum)

  - ### setTitle

    public Position setTitle(String title)

  - ### setUnit

    public Position setUnit(String unit)

  - ### setUnitCode

    public Position setUnitCode(String unitCode)

  - ### toData

    public void toData()

  - ### toDocumentPositionSpec

    public DocumentPositionSpec toDocumentPositionSpec()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### toXmlElement

    public void toXmlElement(Element pos)